QB_LIST_EMPTY(3)

NAME
qb_list_empty - A quick test to see if the list is empty (pointing to it's self).

SYNOPSIS
#include <qb/qblist.h>

static int32_t qb_list_empty(
    const struct qb_list_head   *head   /* pointer to the list head */
);

PARAMS
head pointer to the list head

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

RETURN VALUE

boolean true/false

SEE ALSO

qb_list_add_tail(3), qb_list_add(3), qb_list_splice_tail(3), qb_list_length(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.